[ Maverik Level 2 functions ]

#

mav_SMSIntersectBBAll

## Summary

Intersect all SMSs with a BB.

## Syntax

int mav_SMSIntersectBBAll(MAV_window *w, MAV_BB bb, MAV_SMS *objs);

- MAV_window *w
  Window.

- MAV_BB bb
  BB for intersection test.

- MAV_SMS *objs
  The intersected objects (if any).

## Description

The function intersects all objects in all SMSs with BB `bb`. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. Object which intersect the BB are added to SMS `objs`.

Back to the index page.